Skip to main content
GET
/
api
/
organizations
/
{org_id}
/
automations
/
{run_id}
/
info
Get automation information including endpoint details
curl --request GET \
  --url https://api.getgranite.ai/api/organizations/{org_id}/automations/{run_id}/info
{
  "run_id": "<string>",
  "workflow_description": "<string>",
  "workflow_hint": "<string>",
  "status": "<string>",
  "endpoint_id": "<string>",
  "endpoint_slug": "<string>",
  "endpoint_url": "<string>",
  "parameters_schema": {},
  "created_at": "<string>"
}

Path Parameters

org_id
string
required
run_id
string
required

Response

Successful Response

Automation details with endpoint information.

run_id
string
required

RPA run ID

workflow_description
string | null

Workflow description

workflow_hint
string | null

Workflow hint

status
string | null

Run status

endpoint_id
string | null

Associated endpoint ID

endpoint_slug
string | null

Associated endpoint slug

endpoint_url
string | null

Full endpoint URL

parameters_schema
Parameters Schema · object

Parameters schema

created_at
string | null

Creation timestamp